# FinderCorneredStyle class

Variant of the viewfinder displaying only the four corners of the scanning area as user guidance.

Inheritance
  - Object
  - FinderStyle
  - FinderCorneredStyle

## Constructors

FinderCorneredStyle({ScanbotColor? strokeColor, double strokeWidth = 3.0, double cornerRadius = 10.0})
FinderCorneredStyle.fromJson(Map<String, dynamic> json)
  factory

## Properties

cornerRadius ↔ double
  Radius of the viewfinder's corners. Default is 10.0
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
strokeColor ↔ ScanbotColor
  Color of the viewfinder corner's outlines. Default is "#FFFFFFFF"
  getter/setter pair
strokeWidth ↔ double
  Width of the viewfinder corner's outlines. Default is 3.0
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited